Bug 1198728 - httpslib Connections do not support SNI
Summary: httpslib Connections do not support SNI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: m2crypto
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 17:18 UTC by Chris Duryee
Modified: 2018-04-11 07:32 UTC (History)
4 users (show)

Fixed In Version: 0.27.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 19:14:38 UTC
Type: Bug


Attachments (Terms of Use)
patch to set hostname for SNI (589 bytes, patch)
2015-03-04 17:18 UTC, Chris Duryee
no flags Details | Diff

Description Chris Duryee 2015-03-04 17:18:24 UTC
Created attachment 997984 [details]
patch to set hostname for SNI

Description of problem:

SNI is supported in m2crypto via the "set_tlsext_host_name" method. However, this only exists on SSL.Connection and not httpslib.HTTPSConnection.

The attached patch adds a call to set_tlsext_host_name from HTTPSConnection when setting up the SSL connection, which allows connections to SNI-enabled servers.


Version-Release number of selected component (if applicable): m2crypto-0.21.1-18.fc21.x86_64


How reproducible: every time


Steps to Reproduce:
1. set up httpd server with two or more SSL-enabled VirtualHosts with different ServerName configs on the same IP
2. attempt to connect to each VirtualHost using httpslib.HTTPSConnection()

Actual results:

WrongHost: Peer certificate commonName does not match host, expected <correct hostname>, got <first defined VirtualHost in httpd's ssl.conf>


Expected results: successful connection

Comment 1 Miloslav Trmač 2015-03-04 17:44:58 UTC
Thanks for the patch!

Comment 2 Fedora End Of Life 2015-11-04 15:36:41 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2016-11-24 11:31:37 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Matěj Cepl 2017-09-20 22:00:48 UTC
Filed as https://gitlab.com/m2crypto/m2crypto/issues/175 in the upstream issue tracker.

Comment 5 Fedora End Of Life 2017-11-16 19:09:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Miloslav Trmač 2017-11-16 19:14:38 UTC
Incorporated in upstream 0.27.0.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.